package com.example.duplicate.controller.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName updateTaskDto
 * @Description 维护任务表实体类
 * @Author linjj
 * @Date 2024/3/8 11:10
 * @Version 1.0
 */
@Data
public class updateTaskDto {

    @ApiModelProperty(value="主键id",name="mid", required=true)
    private String mid;
    @ApiModelProperty(value="患者信息",name="sycObj", required=true)
    private String sycObj;
    @ApiModelProperty(value="任务状态",name="statusFlag", required=true)
    private int statusFlag;
    @ApiModelProperty(value="采集器id",name="sysFlag", required=true)
    private int sysFlag;
    @ApiModelProperty(value="开始时间",name="startTime", required=true)
    private String startTime;
    @ApiModelProperty(value="结束时间",name="endTime", required=true)
    private String endTime;
    @ApiModelProperty(value="备注",name="pinResult", required=true)
    private String pinResult;

    @ApiModelProperty(value="异常信息",name="errorInfo", required=false)
    private String errorInfo;

    @ApiModelProperty(value="异常信息图片",name="errorImage",required=false)
    private String errorImage;



}
